Skip to main content
POST
Dex - Swap

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth

Body

application/json
dex
enum<string>
required

DEX identifier for the trade

Available options:
jupiter,
kyberswap,
raydium,
pumpfun,
moonshot,
candy,
launchpad
Example:

"jupiter"

userAddress
string
required

Public key of the wallet initiating the transaction

Required string length: 8 - 64
Example:

"oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7"

amount
string
required

Amount to swap. Use "auto" for full balance or percentage like "50%"

Example:

"1000000000"

swapMode
enum<string>
required

Swap direction mode

Available options:
ExactIn,
ExactOut
Example:

"ExactIn"

slippage
integer<int64>
default:10
required

Slippage tolerance percentage

Required range: 0 <= x <= 100
Example:

10

priorityFee
string

Priority fee in SOL to increase transaction processing speed

Example:

"1000"

poolAddress
string

DEX pool address

Example:

"58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2"

inputMint
string

Input token mint address

outputMint
string

Output token mint address

Response

200 - application/json
serializedTx
string
required

Base64 encoded transaction

Example:

"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="

elapsedTime
integer<int64>
required

Time taken to process the request in milliseconds

Example:

245